/*
 *  user_defined_type_editor.h
 *  MySQLWorkbench
 *
 *  Created by Alfredo Kojima on 16/Mar/09.
 *  Copyright 2009 Sun Microsystems Inc. All rights reserved.
 *
 */

#ifndef _USER_DEFINED_TYPE_EDITOR_H_
#define _USER_DEFINED_TYPE_EDITOR_H_


#include <mforms/mforms.h>

#include "workbench/wb_context_ui.h"
#include "workbench/wb_backend_public_interface.h"

class MYSQLWBBACKEND_PUBLIC_FUNC UserDefinedTypeEditor : public mforms::Form {
  
  mforms::Table _table;
  mforms::Box _bottom_box;
  
  
  mforms::Button _ok_button;
  mforms::Button _cancel_button;
  
  wb::WBContextUI *_wbui;
  
  void ok_clicked();
  void cancel_clicked();
  
public:
  UserDefinedTypeEditor(wb::WBContextUI *wbui);
  
  void show();
};


#endif /* _USER_DEFINED_TYPE_EDITOR_H_ */
