//
//  WBToolbarManager.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 14/Oct/08.
//  Copyright 2008 Sun Microsystems Inc. All rights reserved.
//

#import "sigobjc++.h"
#import <Cocoa/Cocoa.h>
#include "workbench/wb_context_ui.h"

@interface WBToolbarManager : NSObject 
{
  wb::WBContextUI *_wbui;
  NSToolbar *_toolbar;
  NSView *_toolsToolbar;
  
  NSMutableDictionary *_mainToolbarItems;
}

- (id)initWithToolbar:(NSToolbar*)toolbar
         toolsToolbar:(NSView*)toolsToolbar
            WBContext:(wb::WBContextUI*)wbui;

- (void)refreshToolbar:(NSString*)toolbar;

- (void)refreshMainToolbar;
- (void)refreshToolsToolbar;

@end
