
#include "stdafx.h"

#include "mforms/progressbar.h"
#include "mforms/mforms.h"

using namespace mforms;

ProgressBar::ProgressBar()
{
  _progressbar_impl= &ControlFactory::get_instance()->_progressbar_impl;

  _progressbar_impl->create(this);
}


void ProgressBar::set_value(float pct)
{
  _progressbar_impl->set_value(this, pct);
}


void ProgressBar::set_indeterminate(bool flag)
{
  _progressbar_impl->set_indeterminate(this, flag);
}


void ProgressBar::start()
{
  _progressbar_impl->set_started(this, true);
}


void ProgressBar::stop()
{
  _progressbar_impl->set_started(this, false);
}

