#ifndef _MYSQL_SQL_EDITOR_H_
#define _MYSQL_SQL_EDITOR_H_


#include "db_mysql_sqlide_public_interface.h"
#include "sqlide/sqlide.h"


#define MysqlSql_VERSION "1.0"


class DB_MYSQL_SQLIDE_PUBLIC_FUNC MysqlSqlImpl : public SqlImpl
{
public:
  MysqlSqlImpl(grt::CPPModuleLoader *ldr) : SqlImpl(ldr) {}

  DEFINE_INIT_MODULE(MysqlSql_VERSION, "MySQL AB", grt::ModuleImplBase,
    DECLARE_MODULE_FUNCTION(MysqlSqlImpl::getPluginInfo));
  virtual grt::ListRef<app_Plugin> getPluginInfo();

  virtual std::auto_ptr<Sql_editor> getSqlEditor(db_mgmt_RdbmsRef rdbms);
};


class DB_MYSQL_SQLIDE_PUBLIC_FUNC Mysql_sql_editor : public Sql_editor
{
public:
  Mysql_sql_editor(db_mgmt_RdbmsRef rdbms);
  virtual ~Mysql_sql_editor();
};


#endif /* _MYSQL_SQL_EDITOR_H_ */
