#include "stdafx.h"

#include "wb_overview_project.h"
#include "wb_overview_connections.h"
#include "wb_context.h"

using namespace wb;
using namespace bec;




class ProjectRootNode : public OverviewBE::ContainerNode
{
public:
  ProjectRootNode(WBContext *wb)
    : ContainerNode(OverviewBE::ODivision)
  {
    type= OverviewBE::ORoot;
    expanded= true;
    display_mode= OverviewBE::MSmallIcon;

    label= _("Project");

    children.push_back(new ConnectionListNode(wb->get_root()->rdbmsMgmt()));
  }
};


ProjectOverviewBE::ProjectOverviewBE(WBContext *wb)
  : OverviewBE(wb)
{
  _root_node= new ProjectRootNode(wb);
}

