#ifndef _WB_OVERVIEW_PROJECT_H_
#define _WB_OVERVIEW_PROJECT_H_

#include "wb_overview.h"

namespace wb
{
  //
  // Node Layout:
  //
  // -root: ORoot  (model)   (stable nodeid)
  //   -models: ODivision  (stable noteid)  <RefreshChildren>
  //     -[diagram nodes]: OItem   <RefreshNode>
  //   -connections: ODivision (stable nodeid)  <RefreshChildren>
  //     -[connection nodes] OItem  <RefreshNode>
  //
  // Nodes marked <RefreshChildren> must have their contents refreshable when
  // Refresh message is received by the frontend. Arguments are paths.
  class MYSQLWBBACKEND_PUBLIC_FUNC ProjectOverviewBE : public OverviewBE
  {
  public: // backend internal
    

  public:
    ProjectOverviewBE(WBContext *wb);

    virtual model_ModelRef get_model() { return model_ModelRef(); }
/*
    virtual void add_file_to_node(const bec::NodeId &node, const std::string &path);
    virtual bool get_file_data_for_node(const bec::NodeId &node, char *&data, size_t &length);
    virtual std::string get_file_for_node(const bec::NodeId &node);

    virtual void refresh_node(const bec::NodeId &node, bool children);
*/
  };
};

#endif /* _WB_OVERVIEW_PROJECT_H_ */
