#ifndef _RECORDSET_CDBC_STORAGE_H_
#define _RECORDSET_CDBC_STORAGE_H_


#include "wbpublic_public_interface.h"
#include "recordset_data_storage_be.h"
#include "cppdbc.h"


class WBPUBLICBACKEND_PUBLIC_FUNC Recordset_cdbc_storage : public Recordset_data_storage
{
public:
  Recordset_cdbc_storage(bec::GRTManager *grtm);
  virtual ~Recordset_cdbc_storage();

  void serialize(Recordset *rs);
  void unserialize(std::vector<std::string> &field_names, std::vector<std::string> &rs);

  void dbc_rs(sql::ResultSet *dbc_rs) { _dbc_rs= dbc_rs; }

private:
  sql::ResultSet *_dbc_rs;
};


#endif /* _RECORDSET_CDBC_STORAGE_ */
