#ifndef __IMAGE_FIGURE_H__
#define __IMAGE_FIGURE_H__

#include "figure_common.h"
#include "wbpublic_public_interface.h"


namespace wbfig {

  class WBPUBLICBACKEND_PUBLIC_FUNC Image : public BaseFigure
  {
    mdc::ImageFigure _image;

    bool _keep_aspect_ratio;

  public:
    Image(mdc::Layer *layer);

    void keep_aspect_ratio(bool flag);
    double get_aspect_ratio();

    void set_image(cairo_surface_t *image);

    bool set_image(const std::string &filename);
    
    cairo_surface_t *get_image();

    virtual void set_allow_manual_resizing(bool flag);
  };  
  
};

#endif

