//
//  WBMainController.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 1/Oct/08.
//  Copyright 2008 Sun Microsystems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

namespace wb
{
  class WBContextUI;
  class WBContext;
  class WBOptions;
};

@class WBMainWindow;



@interface WBMainController : NSObject 
{
  wb::WBContextUI *_wbui;
  wb::WBContext *_wb;
  wb::WBOptions *_options;

  IBOutlet WBMainWindow *mainWindow;
  IBOutlet NSWindow *aboutWindow;
}

- (IBAction)showAbout:(id)sender;
- (IBAction)showPreferences:(id)sender;
- (IBAction)showModelPreferences:(id)sender;
- (IBAction)showDocumentProperties:(id)sender;
- (IBAction)showDiagramProperties:(id)sender;
- (void)requestRefresh;

@end
