
#include "stdafx.h"

#include <mforms/button.h>
#include <mforms/mforms.h>


using namespace mforms;


Button::Button()
{
  _button_impl= &ControlFactory::get_instance()->_button_impl;

  _button_impl->create(this);
  
  // enable by default
  enable_internal_padding(true);
}


void Button::set_text(const std::string &text)
{
  _button_impl->set_text(this, text);
}


void Button::enable_internal_padding(bool flag)
{
  _button_impl->enable_internal_padding(this, flag);
}


void Button::callback()
{
  _clicked.emit();
}
