/*
 *  python_grtdict.h
 *  MySQLWorkbench
 *
 *  Created by Alfredo Kojima on 15/Feb/09.
 *  Copyright 2009 Sun Microsystems Inc. All rights reserved.
 *
 */


#ifndef __PYTHON_GRTDICT_H__
#define __PYTHON_GRTDICT_H__

#ifdef __APPLE__
#include <Python/Python.h>
#include <Python/object.h>
#else
#include <Python.h>
#include <object.h>
#endif

#include "grtpp.h"

/** Wraps a GRT dict object as a Python sequence object
 */
struct PyGRTDictObject
{
  PyObject_HEAD
  
  grt::DictRef *dict;
};

#endif
