/*
 *  python_grtlist.h
 *  MySQLWorkbench
 *
 *  Created by Alfredo Kojima on 13/Feb/09.
 *  Copyright 2009 Sun Microsystems Inc. All rights reserved.
 *
 */

#ifndef __PYTHON_GRTLIST_H__
#define __PYTHON_GRTLIST_H__

#ifdef __APPLE__
#include <Python/Python.h>
#include <Python/object.h>
#else
#include <Python.h>
#include <object.h>
#endif

#include "grtpp.h"

/** Wraps a GRT list object as a Python sequence object
 */
struct PyGRTListObject
{
  PyObject_HEAD
  
  grt::BaseListRef *list;
};

#endif
