//
//  MySQLRoutineGroupEditor.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 23/Feb/09.
//  Copyright 2009 Sun Microsystems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "WBPluginEditorBase.h"

#include "mysql_routinegroup_editor.h"


@interface DbMysqlRoutineGroupEditor : WBPluginEditorBase {
  IBOutlet NSTabView *tabView;
  
  IBOutlet NSTextField *nameText;
  IBOutlet NSTableView *routineTable;
  IBOutlet NSTextView *commentText;
  
  IBOutlet NSTextView *codeText;
  
  IBOutlet NSTextField *errorText;
  IBOutlet NSImageView *errorImage;
  
  NSMutableArray *mRoutineArray;
  
  BOOL mNeedsInit;
  NSTimer *mTimer;
  MySQLRoutineGroupEditorBE *mBackEnd;  
}

@end
